modal-acoes {
  display: block;
  width: 100%;
}

modal-acoes .modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--cor-modal-blocker);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

modal-acoes .modal-container {
  background: var(--white);
  border-radius: 8px;
  width: 95%;
  max-width: 500px;
  padding: 16px;
  box-shadow: 0 2px 4px var(--cor-sombra);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  animation: zoomIn 0.3s ease-in-out;
}

modal-acoes .modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 16px;
  position: relative;
}

modal-acoes .modal-header h2 {
  margin: 0;
  font-size: 1.4rem;
  font-weight: 500;
  color: var(--cor-texto-escuro);
}

modal-acoes .btn-fechar {
  background: none;
  border: none;
  font-size: 2rem;
  cursor: pointer;
  padding: 0;
  position: absolute;
  right: -8px;
  top: -8px;
  color: var(--cor-neutro-medio);
}

modal-acoes .modal-content {
  text-align: center;
  margin-bottom: 24px;
}

modal-acoes .modal-content textarea {
  width: 100%;
  min-height: 120px;
  border: 1px solid var(--cor-borda);
  border-radius: 8px;
  padding: 8px;
  font-size: 1rem;
  color: var(--cor-texto-escuro);
  resize: vertical;
}

modal-acoes .modal-content textarea:focus {
  border: 1px solid var(--cor-primaria);
  outline: none;
}

modal-acoes .icone-lixeira {
  margin-bottom: 16px;
}

modal-acoes .modal-content p {
  margin: 0;
  color: var(--cor-texto-escuro);
  font-size: 1.125rem;
}

modal-acoes .modal-footer {
  display: flex;
  justify-content: space-between;
}

modal-acoes .btn-cancelar {
  padding: 8px 16px;
  border: 1px solid var(--cor-neutro-medio);
  background: var(--white);
  border-radius: 4px;
  cursor: pointer;
  font-size: 1.125rem;
  color: var(--cor-texto-escuro);
  width: 120px;
}

modal-acoes .btn-cancelar:hover {
  background: var(--cor-modal-cancelar-hover);
  box-shadow: 2px 2px 5px 2px var(--cor-sombra-escura);
}

modal-acoes .btn-deletar {
  padding: 8px 16px;
  color: var(--white);
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 1.125rem;
  width: fit-content;
  text-shadow: 1px 2px 2px var(--cor-sombra-escura);
  text-wrap: nowrap;
}

modal-acoes .btn-deletar:hover {
  opacity: 0.8;
  box-shadow: 2px 2px 5px 2px var(--cor-sombra-escura);
}
